package com.persagy.apm.energyalarmstarter.alarmengine.netty;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * netty的消息类型
 *
 * @author lixing
 * @version V1.0 2021/10/25 3:30 下午
 */
@AllArgsConstructor
public enum NettyMsgTypeEnum {

    /**
     * netty的消息类型
     */
    HEART_BEAT(10, "心跳包"),
    ACCEPTED(100, "已接收到消息"),
    CONNECT(200, "建立连接，此时的source == 项目id"),
    REQUEST_ALL_CONFIGS(10, "边缘端申请全量获取报警定义（报警条件、条件和设备的关联关系）"),
    ALL_CONDITIONS(11, "全量报警条件"),
    NEW_CONDITION(12, "新增报警条件"),
    UPDATE_CONDITION(13, "更新报警条件"),
    DELETE_CONDITION(14, "删除报警条件"),
    ALL_OBJ_CONDITION_REL(21, "全量条件和设备的关联关系"),
    NEW_OBJ_CONDITION_REL(22, "新增条件和设备的关联关系"),
    DELETE_OBJ_CONDITION_REL(23, "删除条件和设备的关联关系"),
    CREATE_RECORD(31, "创建报警记录"),
    RECORD_ID(32, "报警记录id"),
    UPDATE_RECORD_STATE(33, "更新报警记录状态"),
    ALARM_CONTINUE(34, "报警仍在持续");

    @Setter
    @Getter
    private int value;
    @Setter
    @Getter
    private String desc;
}
